# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-soaplib
# sitelib for noarch packages
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-module-soaplib
Version:        0.8.1
Release:        alt1_7
Summary:        A python library for writing and calling soap web services

Group:          Development/Python
License:        LGPLv2+
URL:            http://pypi.python.org/pypi/soaplib/0.8.1
Source0:        http://github.com/downloads/arskom/soaplib/soaplib-0.8.1.tar

BuildArch:      noarch
BuildRequires:  python-devel python-module-setuptools python-module-lxml python-module-pytz
Requires:       python-module-pytz python-module-lxml
Source44: import.info
# drop
%filter_from_requires /^python2...win32com./d
%filter_from_requires /^python2...winerror./d



%description
Soaplib is an easy to use python library for writing and calling soap web
services. Webservices written with soaplib are simple, lightweight, work
well with other SOAP implementations, and can be deployed as WSGI 
applications.


%prep
%setup -n %{oldname}-%{version} -q -c soaplib


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
%doc LICENSE soaplib_docs.markdown
# For noarch packages: sitelib
%{python_sitelibdir_noarch}/*
%exclude %{python_sitelibdir_noarch}/tests

%changelog
* Sat Jan 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_7
- initial fc import

